Skip to main content

Update Company by ID

Endpoint: PUT /companies/{id}

Authentication: Bearer Token (required)

Request

Headers

NameTypeRequiredDescription
AuthorizationstringYesBearer token for authentication

Path Parameters

NameTypeRequiredDescription
idstring (uuid)YesThe unique identifier of the company to update

Request Body

NameTypeRequiredDescription
namestringYesThe updated name of the company (e.g. "Bookshop Borrowdale")
addressstringNoThe updated physical or postal address of the company
abbrstringNoThe abbreviated name or short code for the company (e.g. "BB")
enableSandboxbooleanNoWhether to enable sandbox/test mode for the company (e.g. true)
baseCurrencyStringstringYesThe ISO currency code for the company's base currency (e.g. "USD")

Request Schema

{
"headers": {
"Authorization": "Bearer <token>"
},
"path": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"body": {
"name": "Bookshop Borrowdale",
"address": "",
"abbr": "BB",
"enableSandbox": true,
"baseCurrencyString": "USD"
}
}